#!/bin/bash

# Check kernel version on CPU
printf "Looking for CPU kernel type...     "
RT=$(/bin/uname -r | grep rt)
if [ -z $RT ]; then
  printf "non-RT kernel, using rhel6-x86_64\n"
  ARCH=rhel6-x86_64
else
  printf "RT kernel\n"

  # Check buildroot version
  printf "Looking for Buildroot version...   "
  BR2015=$(/bin/uname -r | grep 3.18.11)
  if [ $BR2015 ]; then
    printf "buildroot-2015.02-x86_64\n"
    ARCH=buildroot-2015.02-x86_64
  else
    BR2016=$(/bin/uname -r | grep 4.8.11)
    if [ $BR2016 ]; then
      printf "buildroot-2016.11.1\n"
      ARCH=buildroot-2016.11.1-x86_64
    else
      prtinf "Buildroot version not supported!"
      exit
    fi
  fi
fi

export PATH=/afs/slac/g/lcls/package/python/python2.7.9/$ARCH/bin:$PATH
export LD_LIBRARY_PATH=/afs/slac/g/lcls/package/python/python2.7.9/$ARCH/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=/afs/slac/g/lcls/package/boost/1.63.0/$ARCH/lib/:$LD_LIBRARY_PATH


export LD_LIBRARY_PATH=/afs/slac/g/lcls/package/cpsw/framework/R3.5.3/$ARCH/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=/afs/slac/g/lcls/package/yaml-cpp/yaml-cpp-0.5.3/$ARCH/lib:$LD_LIBRARY_PATH

export LD_LIBRARY_PATH=/afs/slac/g/lcls/package/libxml2/2.9.3/$ARCH/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=/afs/slac/g/lcls/package/xz/5.2.2/$ARCH/lib:$LD_LIBRARY_PATH

export PYTHONPATH=/afs/slac/g/lcls/package/cpsw/framework/R3.5.3/$ARCH/bin:$PYTHONPATH
